org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineIntegrateTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineIntegrateTest

-     public class GremlinGroovyScriptEngineIntegrateTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineIntegrateTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldNotBlowTheHeapParameterized()`
    `void` | `shouldNotBlowTheHeapUnparameterized()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinGroovyScriptEngineIntegrateTest

          public GremlinGroovyScriptEngineIntegrateTest()

  - ### Method Detail

    - #### shouldNotBlowTheHeapParameterized

          public void shouldNotBlowTheHeapParameterized()
                                                 throws ScriptException

      Throws:
        `ScriptException`

    - #### shouldNotBlowTheHeapUnparameterized

          public void shouldNotBlowTheHeapUnparameterized()
                                                   throws ScriptException

      Throws:
        `ScriptException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.